curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/enquiries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
}
},
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"branch_code": "<string>",
"consent": {
"contact_by_whatsapp": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"suppress_conversation": false
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/enquiries"
payload = {
"external_id": "<string>",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
}
},
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"branch_code": "<string>",
"consent": {
"contact_by_whatsapp": True,
"captured_at": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"suppress_conversation": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
contact: {
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
email: '<string>'
},
property: {
ref: '<string>',
address: '<string>',
development: {ref: '<string>', name: '<string>'},
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
}
},
received_at: '2023-11-07T05:31:56Z',
source: '<string>',
branch_code: '<string>',
consent: {contact_by_whatsapp: true, captured_at: '2023-11-07T05:31:56Z'},
message: '<string>',
suppress_conversation: false
})
};
fetch('https://api.signalproptech.com/api/v1/partner/enquiries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/enquiries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'contact' => [
'external_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'phone' => '<string>',
'email' => '<string>'
],
'property' => [
'ref' => '<string>',
'address' => '<string>',
'development' => [
'ref' => '<string>',
'name' => '<string>'
],
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
]
],
'received_at' => '2023-11-07T05:31:56Z',
'source' => '<string>',
'branch_code' => '<string>',
'consent' => [
'contact_by_whatsapp' => true,
'captured_at' => '2023-11-07T05:31:56Z'
],
'message' => '<string>',
'suppress_conversation' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/enquiries"
payload := strings.NewReader("{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/enquiries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/enquiries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}"
response = http.request(request)
puts response.read_body{
"enquiry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"conversation": "starting",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "no_phone"
}{
"enquiry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"conversation": "starting",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "no_phone"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Send an enquiry
For enquiries that start in your system: phone calls, walk-ins, your own web forms. Sending the same external_id again changes nothing and messages nobody.
curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/enquiries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
}
},
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"branch_code": "<string>",
"consent": {
"contact_by_whatsapp": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"suppress_conversation": false
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/enquiries"
payload = {
"external_id": "<string>",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
}
},
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"branch_code": "<string>",
"consent": {
"contact_by_whatsapp": True,
"captured_at": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"suppress_conversation": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
contact: {
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
email: '<string>'
},
property: {
ref: '<string>',
address: '<string>',
development: {ref: '<string>', name: '<string>'},
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
}
},
received_at: '2023-11-07T05:31:56Z',
source: '<string>',
branch_code: '<string>',
consent: {contact_by_whatsapp: true, captured_at: '2023-11-07T05:31:56Z'},
message: '<string>',
suppress_conversation: false
})
};
fetch('https://api.signalproptech.com/api/v1/partner/enquiries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/enquiries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'contact' => [
'external_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'phone' => '<string>',
'email' => '<string>'
],
'property' => [
'ref' => '<string>',
'address' => '<string>',
'development' => [
'ref' => '<string>',
'name' => '<string>'
],
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
]
],
'received_at' => '2023-11-07T05:31:56Z',
'source' => '<string>',
'branch_code' => '<string>',
'consent' => [
'contact_by_whatsapp' => true,
'captured_at' => '2023-11-07T05:31:56Z'
],
'message' => '<string>',
'suppress_conversation' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/enquiries"
payload := strings.NewReader("{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/enquiries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/enquiries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_id\": \"<string>\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"received_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"consent\": {\n \"contact_by_whatsapp\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\"\n },\n \"message\": \"<string>\",\n \"suppress_conversation\": false\n}"
response = http.request(request)
puts response.read_body{
"enquiry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"conversation": "starting",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "no_phone"
}{
"enquiry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"conversation": "starting",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "no_phone"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Body
An enquiry that started in your system: a phone call, a walk-in, your own web form.
Response
We already had this external_id. Nothing changed, and the body is the same as the first answer.
What happened to an enquiry you sent.
Why nothing was sent. no_phone: no usable phone number. not_mobile: the number is a landline. no_consent: contact_by_whatsapp was false. opted_out: they've asked us to stop. stale: received more than 24 hours ago. suppressed: suppress_conversation was set, or the number isn't on a dev key's allow-list. transaction_type_off: the agency hasn't switched Signal on for sales, or for lettings. whatsapp_not_connected: the agency's WhatsApp number isn't connected yet.
no_phone, not_mobile, no_consent, opted_out, stale, suppressed, transaction_type_off, whatsapp_not_connected